#! /usr/bin/env python
from os import path, makedirs

# settings = cfg.set()
# settings.load('scrib.cfg', {}, suppress=True)

class Logger(object):

	def __init__(self, location, filename):
		self.logdir = location
		self.filename = filename
		if not path.exists(location):
			makedirs(location)

	def log(self, payload):
		logfile = '%s/%s' % (self.logdir, self.filename)

		with open(logfile, 'a') as f:
			f.write('%s\n' % payload)
